> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anglpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List payment services

This API is different from the [list connections](../connections/list-connections) because
it only returns payment services and not anti-fraud and gift card services.

This endpoint requires the `payment-services.read` scope.


## OpenAPI

````yaml openapi.speakeasy.json GET /payment-services
openapi: 3.0.0
info:
  title: Gr4vy API
  version: 1.1.0-beta
  contact:
    name: Gr4vy Support
    email: code@gr4vy.com
    url: https://gr4vy.com
  termsOfService: https://gr4vy.com
  license:
    name: MIT
    url: https://raw.githubusercontent.com/gr4vy/gr4vy-openapi/main/LICENSE
  description: |-
    Welcome to the Gr4vy API reference documentation.
    Our API is still very much a work in product and subject to change.
servers:
  - url: https://api.sandbox.{id}.gr4vy.app
    x-speakeasy-server-id: sandbox
    variables:
      id:
        default: example
        description: The subdomain for your Gr4vy instance.
  - url: https://api.{id}.gr4vy.app
    x-speakeasy-server-id: production
    variables:
      id:
        default: example
        description: The subdomain for your Gr4vy instance.
security:
  - bearerAuth: []
tags:
  - name: Account Updater
    description: >-
      An Account Updater is a service provided by credit card issuers

      (such as banks and financial institutions) to merchants who accept

      recurring payments from customers. Its primary purpose is to help

      merchants maintain accurate and up-to-date payment information for

      their customers' credit or debit card accounts.


      In Gr4vy, the Account Updater service is provided in an on-demand

      and asynchronous fashion:


      1. A merchant requests an update for a set of stored cards.

      2. A request is submitted to a third-party service.

      3. When results are ready, new card details are stored and left in
      standby.

      4. Card details are updated when it gets determined that the original card
         is no longer valid (e.g. has expired).
  - name: Anti-Fraud Services
    description: >-
      In Gr4vy, an anti-fraud service represents a configured anti-fraud service

      provider (`Sift`, `CyberSource`, etc). This third-party services will be

      used to screen transactions to determine the risk and prevents chargebacks

      and fraudulent transactions.


      The anti-fraud services API can be used to:


      * Provide Gr4vy with the API credentials for an anti-fraud service
      provider.

      * Set a display name for a anti-fraud provider.

      * Map anti-fraud service decisions to Gr4vy internal decisions.
    x-internal: true
  - name: Anti Fraud Service Definitions
    description: >-
      Anti fraud service definitions describe the fields required for a anti
      fraud

      service to be configured.
  - name: API Key Pairs
    description: >-
      In Gr4vy, an API key pair is used to sign and validate JSON Web Tokens
      (JWT).

      JWTs are used as a HTTP `bearer` token to authenticate to the API. For
      more

      information please visit our [in-depth
      authentication](/guides/authentication)

      guide.
    x-internal: true
  - name: API Logs
    description: >-
      API Logs provide an historic of 4XX and 5XX errors that happened in the
      API

      in the last 24 hours with a 250 result limit.
    x-internal: true
  - name: Apple Pay Certificates
    description: >-
      Apple Pay payment processing certificates are used by Apple to encrypt
      Apple

      Pay tokens. You must register and upload an Apple Pay payment processing

      certificate if you wish to use Apple Pay with Gr4vy's mobile SDKs.


      The Apple Pay certificates API can be used to:


      * Start a new Apple Pay certificate registration, providing you with a

      Certificate Signing Request (CSR).

      * Update the Apple Pay certificate record with the certificate received
      from

      Apple after creating a new payment processing certificate on your Apple

      Developer console and uploading a CSR.

      * List all Apple Pay certificates.
    x-internal: true
  - name: Audit Logs
    description: >-
      Audit Logs provide an historic record of changes made to your Gr4vy
      instance.
  - name: Buyers
    description: >-
      In Gr4vy, a buyer represents your customer, the shopper who's performing

      a checkout and making a purchase.


      A buyer can be used by you to:


      * Display a human readable name (`display_name`) for a buyer in the Gr4vy

      admin panel

      * Associate multiple stored payment methods with a single user

      * Initialize **Gr4vy Embed** with the buyer ID, automatically displaying
      the
        buyer's previously stored payment methods, allowing for faster checkout.
  - name: Card Details
    description: Endpoints to retrieve details of a card by utilising a BIN lookup table.
    x-internal: true
  - name: Card Scheme Definitions
    description: Card Scheme definitions provide display information to a card scheme.
  - name: Connections
    description: |-
      Endpoints to retrieve details of configured connections such as payment
      services, digital wallets, and anti-fraud services.
    x-internal: true
  - name: Connection Definitions
    description: |-
      Endpoints to retrieve details of various connections such as payment
      services, digital wallets, and anti-fraud services.
    x-internal: true
  - name: Checkout Sessions
    description: |-
      A Checkout Session represents the session of a user as they progress
      through an online checkout.
  - name: Digital Wallets
    description: |-
      In Gr4vy, a digital wallet represents a way for a buyer to pay using
      card details already stored on their device via a digital wallet service
      such as Apple Pay or Google Pay. The buyer will not have to fill in their
      card details on checkout.

      The digital wallets API can be used to:

      * Register with a digital wallet provider.
      * List digital wallets currently registered.
  - name: Gift Cards
    description: >-
      In Gr4vy, a gift card represents a stored value card that can be used to
      pay for

      a transaction.
  - name: Gift Card Services
    description: >-
      In Gr4vy, a gift card service represents a configured provider for
      processing

      gift cards.
  - name: Gift Card Service Definitions
    description: |-
      Gift card service definitions describe the fields required for a gift
      card service to be configured.
  - name: Health Dashboard
    description: Endpoints to retrieve the data used for the Health Dashboard.
    x-internal: true
  - name: Merchant Accounts
    description: |-
      In Gr4vy, a merchant account represents an individual merchant in an
      instance. Each instance has one or more merchant accounts, and each
      merchant account has its own connections, Flow rules, transactions, and
      more.
  - name: Metrics Explorer
    description: Endpoints to retrieve the data used for the Metrics Explorer.
    x-internal: true
  - name: Payment Methods
    description: |-
      In Gr4vy, a payment method represents a way in which a payment can be
      processed, for example a card, a PayPal account, or a bank account.

      The payment method API can be used to:

      * List all the available payment methods
      * Filter the available payment method for a buyer in a specific currency
      and country.
      * Store (also known as vault) a payment method for a buyer.
      * Fetch all previously stored payment methods for a buyer.
  - name: Payment Method Definitions
    description: >-
      Payment Method definitions provide display information to a payment
      method.
  - name: Payment Options
    description: |-
      In Gr4vy, a payment option represents a list of methods (card, PayPal,
      etc) that are available for a given locale.

      The payment options API can be used to:

      * Determine what types of payments can be processed in a specific locale.
      * Display a list options to a buyer to choose from.
  - name: Payment Service Definitions
    description: |-
      Payment service definitions describe the fields required for a payment
      service to be configured.
  - name: Payment Services
    description: |-
      In Gr4vy, a payment service represents a configured payment provider
      (Stripe, PayPal, Adyen, etc) for a specific payment type (card, bitcoin,
      etc)

      The payment services API can be used to:

      * Provide Gr4vy with the payment credentials for a payment provider.
      * Set a display name for a payment provider.
  - name: Payouts
    description: |-
      Payouts allow a merchant to send money from one of their own accounts to a
      third party.
  - name: Payment Links
    description: >-
      In Gr4vy, payment links allow a merchant to generate a link, send it to a

      customer via email, SMS, etc, and then have the customer pay without the
      need

      for the merchant hosting their own checkout.
  - name: Vault Forward Definitions
    description: >-
      Vault Forward definitions describe a third party service that has been
      vetted

      to receive requests containing PCI data.
  - name: Vault Forward Configurations
    description: |-
      A Vault Forward Configuration represents a third party service that is
      currently enabled to send requests containing PCI data.
  - name: Vault Forward
    description: |-
      Vault Forwarding is a way to perform requests where, provided a template,
      Gr4vy will evaluate it to inject PCI data and forward it to third party
      services that have been vetted to receive such data.
  - name: Reports
    description: |-
      In Gr4vy, a report represents the configuration details to extract or
      dump a set of data into a downloadable CSV file. The data extracted
      by a report is configured via the reports API where you can specify:

      * Which fields should be in the dataset.
      * How the dataset should be sorted.
      * How the dataset should be filtered.

      Once a report is created, it may be executed on a one-off or recurring
      basis. One-off reports are executed only once shortly after the report
      is created, while recurring reports are executed periodically based on
      its configured frequency, e.g. weekly or monthly.

      During a report execution, the data is extracted and loaded into
      a CSV file according to the report's configuration. The resulting file
      may then be downloaded.

      The reports API can be used to:

      * Create and configure new reports.
      * List all reports.
      * View the configuration details of a report.
      * List a report's executions.
      * Reconfigure an existing report.
      * Generate a temporary URL to download the result of a report execution
      in CSV format.
  - name: Sessions
    description: |-
      The sessions APIs are used to facilitate user authentication for the Gr4vy
      dashboard.
    x-internal: true
  - name: Transactions
    description: >-
      In Gr4vy, a transaction represents a payment in any state, either before
      it

      is authorized, once it is captured, or after it has been refunded.


      The transactions API can be used to:


      - Authorize, capture, and store cards.

      - Authorize, capture, and store alternative payment methods like PayPal.

      - Refund, void, and otherwise cancel existing transactions.
  - name: Users
    description: |-
      In Gr4vy, a user represents an employee of the merchant with access to the
      dashboard.
    x-internal: true
  - name: Webhooks
    description: |-
      Endpoints related to webhooks to integrate Gr4vy with payment services
      webhooks functionality.
    x-internal: true
  - name: Flow
    description: >-
      In Gr4vy, a rule can be created that triggers actions anywhere in the
      payment flow.
    x-internal: true
  - name: Roles
    description: >-
      In Gr4vy, users can be granted access to specific types of resources and
      permissions

      to perform certain actions by being assigned one or more roles.
  - name: Tokens
    description: Endpoints related to the Gr4vy tokenization service.
  - name: Webhook subscriptions
    description: >-
      Endpoints related to the management of subscriptions for endpoints to
      receive webhooks.
paths:
  /payment-services:
    get:
      tags:
        - Payment Services
      summary: List payment services
      description: Lists the currently configured and activated payment services.
      operationId: list-payment-services
      parameters:
        - schema:
            type: integer
            default: 20
            example: 1
            minimum: 1
            maximum: 100
            format: int32
          in: query
          name: limit
          description: Defines the maximum number of items to return for this request.
        - schema:
            type: string
            format: ''
            example: ZXhhbXBsZTE
          in: query
          name: cursor
          description: >-
            A cursor that identifies the page of results to return. This is used
            to

            paginate the results of this API.


            For the first page of results, this parameter can be left out.

            For additional pages, use the value returned by the API in

            the `next_cursor` field. Similarly the `previous_cursor` can be used
            to

            reverse backwards in the list.
        - schema:
            type: string
            example: card
            enum:
              - affirm
              - afterpay
              - alipay
              - alipayhk
              - applepay
              - bacs
              - bancontact
              - banked
              - becs
              - bitpay
              - boleto
              - boost
              - card
              - cashapp
              - chaseorbital
              - checkout-session
              - clearpay
              - click-to-pay
              - dana
              - dcb
              - dlocal
              - ebanx
              - efecty
              - eps
              - everydaypay
              - gcash
              - gem
              - gemds
              - gift-card
              - giropay
              - givingblock
              - gocardless
              - googlepay
              - googlepay_pan_only
              - gopay
              - grabpay
              - id
              - ideal
              - kakaopay
              - kcp
              - klarna
              - latitude
              - latitudeds
              - laybuy
              - linepay
              - linkaja
              - maybankqrpay
              - mercadopago
              - multibanco
              - multipago
              - netbanking
              - network-token
              - oney_3x
              - oney_4x
              - oney_6x
              - oney_10x
              - oney_12x
              - ovo
              - oxxo
              - payid
              - paymaya
              - paypal
              - paypalpaylater
              - payto
              - venmo
              - pix
              - pse
              - rabbitlinepay
              - razorpay
              - scalapay
              - sepa
              - shopeepay
              - singteldash
              - smartpay
              - sofort
              - spei
              - stripedd
              - thaiqr
              - touchngo
              - truemoney
              - trustly
              - trustlyeurope
              - upi
              - vipps
              - waave
              - webpay
              - wechat
              - zippay
          in: query
          name: method
          description: >-
            Filters the results to only the items for which the `method` has
            been set to

            this value. For example `card`.
        - schema:
            type: boolean
            example: true
            default: false
          in: query
          name: deleted
          description: |-
            Filters the results to only show items which have been deleted.
            By default, deleted items will not be returned.
      responses:
        '200':
          description: Returns a list of payment services.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentServices'
        '401':
          description: Returns an error if no valid authentication was provided.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401Unauthorized'
components:
  schemas:
    PaymentServices:
      title: A list of active payment services
      type: object
      description: A list of active, configured payment services.
      x-tags:
        - Payment Services
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/PaymentService'
        limit:
          type: integer
          description: >-
            The limit applied to request. This represents the number of items
            that are at

            maximum returned by this request.
          format: int32
          minimum: 1
          maximum: 100
          example: 1
          default: 20
        next_cursor:
          type: string
          description: >-
            The cursor that represents the next page of results. Use the
            `cursor` query

            parameter to fetch this page of items.
          example: ZXhhbXBsZTE
          nullable: true
          minLength: 1
          maxLength: 1000
        previous_cursor:
          type: string
          description: >-
            The cursor that represents the next page of results. Use the
            `cursor` query

            parameter to fetch this page of items.
          example: null
          nullable: true
          minLength: 1
          maxLength: 1000
    Error401Unauthorized:
      title: Unauthorized Error
      type: object
      description: Unauthorized Error (HTTP 401).
      x-tags:
        - Errors
      properties:
        type:
          type: string
          description: '`error`.'
          enum:
            - error
          example: error
        code:
          type: string
          description: '`unauthorized`.'
          example: unauthorized
          enum:
            - unauthorized
        status:
          type: integer
          description: '`401`.'
          example: 401
          enum:
            - 401
        message:
          type: string
          description: No valid API authentication found.
          example: No valid API authentication found
          enum:
            - No valid API authentication found
        details:
          type: array
          description: >-
            A list of detail objects that further clarify the reason for the
            error.

            Not every error supports more detail.
          example: []
          items:
            $ref: '#/components/schemas/ErrorDetail'
    PaymentService:
      title: A payment service
      type: object
      description: An active, configured payment service.
      x-tags:
        - Payment Services
      properties:
        type:
          type: string
          description: The type of this resource.
          example: payment-service
          enum:
            - payment-service
        id:
          type: string
          format: uuid
          description: The ID of this payment service.
          example: faaad066-30b4-4997-a438-242b0752d7e1
          minLength: 1
          maxLength: 200
        accepted_countries:
          description: >-
            A list of countries for which this service is enabled, in ISO
            two-letter

            code format.
          example:
            - DE
          items:
            maxLength: 2
            minLength: 2
            type: string
          minItems: 1
          type: array
        accepted_currencies:
          description: |-
            A list of currencies for which this service is enabled, in ISO 4217
            three-letter code format.
          example:
            - EUR
          items:
            maxLength: 3
            minLength: 3
            type: string
          minItems: 1
          type: array
        active:
          type: boolean
          example: true
          default: true
          description: Defines if this service is currently active or not.
        created_at:
          type: string
          format: date-time
          example: '2012-12-12T10:53:43+00:00'
          description: The date and time when this service was created.
        display_name:
          description: The custom name set for this service.
          example: Stripe (Main)
          maxLength: 200
          minLength: 1
          type: string
        fields:
          description: |-
            A list of fields, each containing a key-value pair for each field
            configured for this payment service. Fields marked as `secret`
            (see Payment Service Definition) are not returned.
          items:
            type: object
            properties:
              key:
                type: string
                minLength: 1
                maxLength: 50
                description: The key of the field.
                example: secret_key
              value:
                type: string
                minLength: 1
                maxLength: 5000
                description: The value of the field.
                example: sk_test_26PHem9AhJZvU623DfE1x4sd
          type: array
        reporting_fields:
          description: |-
            A list of fields, each containing a key-value pair for each field
            configured for reporting for this payment service. Fields marked as
            `secret` (see Payment Service Definition) are not returned.
          items:
            properties:
              key:
                description: The key of the field.
                example: ssh_username
                maxLength: 50
                minLength: 1
                type: string
              value:
                description: The value of the field.
                example: test_ssh_username
                maxLength: 5000
                minLength: 1
                type: string
            type: object
          type: array
        merchant_account_id:
          type: string
          description: The unique ID for a merchant account.
          example: default
        merchant_profile:
          allOf:
            - $ref: '#/components/schemas/MerchantProfileSummary'
          description: |-
            An object containing a key for each supported card scheme (Amex,
            Discover, Mastercard and Visa), and for each key an object with
            the merchant profile for this service and the corresponding scheme.
          nullable: true
          type: object
        method:
          description: The payment method that this service handles.
          type: string
          example: card
          enum:
            - affirm
            - afterpay
            - alipay
            - alipayhk
            - applepay
            - bacs
            - bancontact
            - banked
            - becs
            - bitpay
            - boleto
            - boost
            - card
            - cashapp
            - chaseorbital
            - checkout-session
            - clearpay
            - click-to-pay
            - dana
            - dcb
            - dlocal
            - ebanx
            - efecty
            - eps
            - everydaypay
            - gcash
            - gem
            - gemds
            - gift-card
            - giropay
            - givingblock
            - gocardless
            - googlepay
            - googlepay_pan_only
            - gopay
            - grabpay
            - id
            - ideal
            - kakaopay
            - kcp
            - klarna
            - latitude
            - latitudeds
            - laybuy
            - linepay
            - linkaja
            - maybankqrpay
            - mercadopago
            - multibanco
            - multipago
            - netbanking
            - network-token
            - oney_3x
            - oney_4x
            - oney_6x
            - oney_10x
            - oney_12x
            - ovo
            - oxxo
            - payid
            - paymaya
            - paypal
            - paypalpaylater
            - payto
            - venmo
            - pix
            - pse
            - rabbitlinepay
            - razorpay
            - scalapay
            - sepa
            - shopeepay
            - singteldash
            - smartpay
            - sofort
            - spei
            - stripedd
            - thaiqr
            - touchngo
            - truemoney
            - trustly
            - trustlyeurope
            - upi
            - vipps
            - waave
            - webpay
            - wechat
            - zippay
        network_tokens_enabled:
          description: |-
            Defines if network tokens are enabled for the service. This feature
            can only be enabled if the payment service is set as `open_loop` and
            the PSP is set up to accept network tokens.
          example: true
          type: boolean
        open_loop:
          description: |-
            Defines if the service works as an open-loop service. This feature
            can only be enabled if the PSP is set up to accept previous scheme
            transaction IDs.
          example: true
          type: boolean
        payment_method_tokenization_enabled:
          default: false
          description: |-
            Defines if tokenization is enabled for the service. This feature
            can only be enabled if the payment service is NOT set as `open_loop`
            and the PSP is set up to tokenize.
          example: true
          type: boolean
        payment_service_definition_id:
          description: >
            The ID of the payment service definition used to create this
            service.
          example: stripe-card
          maxLength: 50
          minLength: 1
          type: string
        settlement_reporting_enabled:
          description: |-
            Defines if settlement reporting is enabled for the service.
            This feature can only be enabled if the payment service
            definition supports the `settlement_reporting` feature.
          example: true
          type: boolean
        status:
          description: >
            The current status of this service. This will start off as pending,
            move

            to created, and might eventually move to an error status if and when
            the

            credentials are no longer valid.
          enum:
            - pending
            - created
            - failed
          type: string
        three_d_secure_enabled:
          default: false
          description: |-
            Defines if 3-D Secure is enabled for the service. This feature
            can only be enabled if the payment service definition supports
            the `three_d_secure_hosted` feature.
            This does not affect pass through 3-D Secure data.
          example: true
          type: boolean
        updated_at:
          type: string
          format: date-time
          example: '2012-12-12T10:53:43+00:00'
          description: The date and time when this service was last updated.
        webhook_url:
          description: >-
            The URL that needs to be configured with this payment service as the

            receiving endpoint for webhooks from the service to Gr4vy.
            Currently,

            Gr4vy does not yet automatically register webhooks on setup, and

            therefore webhooks need to be registered manually by the merchant.
          example: https://api.example.app.gr4vy.com/i/ViYUjDkUSoiQ0ColeigGwnN0...
          format: url
          nullable: true
          type: string
    ErrorDetail:
      title: Error details
      description: Additional detail about the part of a request body that caused an issue.
      type: object
      x-tags:
        - Errors
      properties:
        location:
          type: string
          example: body
          description: The location where the error caused an issue.
          enum:
            - query
            - body
            - path
            - header
        type:
          type: string
          example: value_error.missing
          description: A unique identifier for the type of error that occurred.
        pointer:
          type: string
          example: /payment_method/number
          description: >-
            The exact item for which the validation did not succeed. This is a
            JSON

            pointer for request bodies, while for query, path, and header
            parameters

            it is the name of the parameter.
        message:
          type: string
          example: field required
          description: A human readable message for this error detail.
    MerchantProfileSummary:
      title: Merchant Profile
      type: object
      description: Merchant profile for the different card schemes.
      properties:
        amex:
          type: object
          nullable: true
          description: Merchant profile for Amex.
          allOf:
            - $ref: '#/components/schemas/MerchantProfileSchemeSummary'
        dankort:
          type: object
          nullable: true
          description: Merchant profile for Dankort.
          allOf:
            - $ref: '#/components/schemas/MerchantProfileSchemeSummary'
        discover:
          type: object
          nullable: true
          description: Merchant profile for Discover.
          allOf:
            - $ref: '#/components/schemas/MerchantProfileSchemeSummary'
        jcb:
          type: object
          nullable: true
          description: Merchant profile for JCB.
          allOf:
            - $ref: '#/components/schemas/MerchantProfileSchemeSummary'
        mastercard:
          type: object
          nullable: true
          description: Merchant profile for Mastercard.
          allOf:
            - $ref: '#/components/schemas/MerchantProfileSchemeSummary'
        unionpay:
          type: object
          nullable: true
          description: Merchant profile for UnionPay.
          allOf:
            - $ref: '#/components/schemas/MerchantProfileSchemeSummary'
        visa:
          type: object
          nullable: true
          description: Merchant profile for Visa.
          allOf:
            - $ref: '#/components/schemas/MerchantProfileSchemeSummary'
    MerchantProfileSchemeSummary:
      title: Merchant Profile (single scheme)
      type: object
      description: Merchant profile for a specific scheme.
      properties:
        merchant_acquirer_bin:
          type: string
          maxLength: 11
          description: Acquirer bin to use when calling 3DS through this scheme.
        merchant_url:
          type: string
          description: URL to send when calling 3DS through this scheme.
        merchant_acquirer_id:
          type: string
          maxLength: 35
          description: Merchant ID to use when calling 3DS through this scheme.
        merchant_name:
          type: string
          maxLength: 40
          description: Merchant name to use when calling 3DS through this scheme.
        merchant_country_code:
          type: string
          minLength: 3
          maxLength: 3
          description: Merchant country code to use when calling 3DS through this scheme.
        merchant_category_code:
          type: string
          maxLength: 4
          description: Merchant category code to use when calling 3DS through this scheme.
        created_at:
          type: string
          description: The date and time when this profile was created.
          format: date-time
          example: '2023-07-26T19:23:00.000+00:00'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````